Bug 998949 - Support request timeout for HTTP-based bindings
Support request timeout for HTTP-based bindings
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity unspecified
: ER3
: ---
Assigned To: Keith Babo
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 08:10 EDT by Keith Babo
Modified: 2015-08-02 19:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1540 Major Closed Add support for overriding request timeout in gateways 2014-06-16 19:53:45 EDT

  None (edit)
Description Keith Babo 2013-08-20 08:10:30 EDT
Provide the ability to specify a request timeout for HTTP-based gateway bindings:

- HTTP
- SOAP
- REST

This configuration only applies to HTTP clients which maps to reference bindings.
Comment 2 JBoss JIRA Server 2013-08-21 11:12:50 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1540

pushed
Comment 6 Jiri Sedlacek 2013-10-23 07:45:01 EDT
verified in ER6 and related tooling.
Comment 7 JBoss JIRA Server 2014-06-16 19:53:45 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1540 to Closed

Note You need to log in before you can comment on or make changes to this bug.